> For the complete documentation index, see [llms.txt](https://docs.oneweb.tech/oneweb/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.oneweb.tech/oneweb/reference/app-designer-reference.md).

# App Designer Reference

**App Designer** is a Smart Form builder on ONEWEB where user can create Entities.

An Entity on ONEWEB platform refers to a group of business attributes that can be represented as a single unit. E.g. Customer, Order, Product, Tax Invoice etc.

{% hint style="warning" %}
The first step in creating any smart form on ONEWEB platform is to define an Entity. You have to carefully define the scope of the business entity before starting your smart form configurations. In most business scenarios the entity in ONEWEB can be directly equated with the entity as per the use case diagrams or ER diagrams.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.oneweb.tech/oneweb/reference/app-designer-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
